List organisations using advanced filters
curl --request POST \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/organisations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"conditions": [
{
"field": "<string>",
"value": "<string>"
}
]
}
}
'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/organisations"
payload = { "filters": { "conditions": [
{
"field": "<string>",
"value": "<string>"
}
] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: {conditions: [{field: '<string>', value: '<string>'}]}})
};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/organisations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"last_page": 10,
"per_page": 15,
"total": 150,
"next_page_url": "https://api.example.com/v1/workspaces?page=2",
"prev_page_url": null,
"first_page_url": "https://api.example.com/v1/workspaces?page=1",
"last_page_url": "https://api.example.com/v1/workspaces?page=10",
"path": "https://api.example.com/v1/workspaces",
"from": 1,
"to": 15,
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "Pirate Inc.",
"website": "https://pirateinc.com",
"first_seen": "2021-01-01T00:00:00Z",
"last_seen": "2021-01-01T00:00:00Z",
"profiles": [
{
"name": "Twitter",
"handle": "@pirateinc",
"url": "https://twitter.com/pirateinc"
}
],
"tags": [
"<string>"
],
"segments": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "Hot leads"
}
],
"logo": "https://pirateinc.com/logo.png",
"address": {
"street": "Hollywood Blvd",
"address": "Hollywood Blvd 123",
"full_address": "Hollywood Blvd 123, Los Angeles, California, US",
"city": "Los Angeles",
"state": "California",
"street_number": "123",
"postal_code": "90028",
"country": "US",
"latitude": "34.0522",
"longitude": "-118.2437"
},
"founded": "2000",
"industry": "Piracy",
"phone": "+49 123 4567890",
"email": "john@example.org",
"total_pageviews": 42,
"total_time_on_site": "1:02:05",
"visitor_locations": [
"Amsterdam, NL"
]
}
],
"success": true
}Organisations
List organisations using advanced filters
POST
/
v1
/
workspaces
/
{workspaceUuid}
/
organisations
List organisations using advanced filters
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Optional segment UUID for filtering organisations
Example:
"550e8400-e29b-41d4-a716-446655440000"
The page number for pagination
Example:
1
The number of organisations per page (1-1000)
Required range:
1 <= x <= 1000Example:
10
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
A paginated list of organisations
Example:
1
Example:
10
Example:
15
Example:
150
Example:
"https://api.example.com/v1/workspaces?page=2"
Example:
null
Example:
"https://api.example.com/v1/workspaces?page=1"
Example:
"https://api.example.com/v1/workspaces?page=10"
Example:
"https://api.example.com/v1/workspaces"
Example:
1
Example:
15
Show child attributes
Show child attributes
Example:
true
⌘I